=== debian/changelog ===
propellor (0.8.2) unstable; urgency=medium

  * Fix bug in File.containsLines that caused lines that were already in the
    file to sometimes be appended to the end.
  * Hostname.sane also configures /etc/mailname.
  * Fixed Postfix.satellite to really configure relayhost = smtp.domain.
  * Avoid reconfiguring postfix unncessarily when it already has a relayhost.
  * Deal with apache 2.4's change in the name of site-available config files.
  * Hostname aliases can now be used in several places, including --spin
    and Ssh.knownHost.

 -- Joey Hess <joeyh@debian.org>  Mon, 04 Aug 2014 01:12:19 -0400

propellor (0.8.1) unstable; urgency=medium

  * Run apt-get update in initial bootstrap.
  * --list-fields now includes a table of fields that are not currently set,
    but would be used if they got set.
  * Remove .gitignore from cabal file list, to avoid build failure on Debian.
    Closes: #754334

 -- Joey Hess <joeyh@debian.org>  Wed, 09 Jul 2014 22:11:31 -0400

propellor (0.8.0) unstable; urgency=medium

  * Completely reworked privdata storage. There is now a single file,
    and each host is sent only the privdata that its Properties actually use.

    To transition existing privdata, run propellor against a host and
    watch out for the red failure messages, and run the suggested commands
    to store the privdata using the new storage scheme. You may find
    it useful to run the old version of propellor to extract data from the old
    privdata files during this migration.

    Several properties that use privdata now require a context to be
    specified. If in doubt, you can use anyContext, or
    Context "hostname.example.com"

  * Add --edit to edit a privdata value in $EDITOR.
  * Add --list-fields to list all currently set privdata fields, along with
    the hosts that use them.
  * Fix randomHostKeys property to run openssh-server's postinst in a
    non-failing way.
  * Hostname.sane now cleans up the 127.0.0.1 localhost line in /etc/hosts,
    to avoid eg, apache complaining "Could not reliably determine the
    server's fully qualified domain name".

 -- Joey Hess <joeyh@debian.org>  Sun, 06 Jul 2014 18:28:08 -0400

propellor (0.7.0) unstable; urgency=medium

  * combineProperties no longer stops when a property fails; now it continues
    trying to satisfy all properties on the list before propigating the
    failure.
  * Attr is renamed to Info.
  * Renamed wrapper to propellor to make cabal installation of propellor work.
  * When git gpg signature of a fetched git branch cannot be verified,
    propellor will now continue running, but without merging in that branch.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Jun 2014 10:06:40 -0400

propellor (0.6.0) unstable; urgency=medium

  * Docker containers now propagate DNS attributes out to the host they're
    docked in. So if a docker container sets a DNS alias, every container
    it's docked in will automatically be added to a DNS round-robin,
    when propellor is used to manage DNS for the domain.
  * Apt.stdSourcesList no longer needs a suite to be specified.
  * Added --dump to dump out a field of a host's privdata. Useful for editing
    it.
  * Propellor's output now includes the hostname being provisioned, or
    when provisioning a docker container, the container name.

 -- Joey Hess <joeyh@debian.org>  Thu, 05 Jun 2014 17:32:14 -0400

propellor (0.5.3) unstable; urgency=medium

  * Fix unattended-upgrades config for !stable.
  * Ensure that kernel hostname is same as /etc/hostname when configuring
    hostname.
  * Added modules for some hosting providers (DigitalOcean, CloudAtCost).

 -- Joey Hess <joeyh@debian.org>  Thu, 29 May 2014 14:29:53 -0400

propellor (0.5.2) unstable; urgency=medium

  * A bug that caused propellor to hang when updating a running docker
    container appears to have been fixed. Note that since it affects
    the propellor process that serves as "init" of docker containers,
    they have to be restarted for the fix to take effect.
  * Licence changed from GPL to BSD.
  * A few changes to allow building Propellor on OSX. One user reports
    successfully using it there.

 -- Joey Hess <joeyh@debian.org>  Sat, 17 May 2014 16:42:55 -0400

propellor (0.5.1) unstable; urgency=medium

  * Primary DNS servers now have allow-transfer automatically populated
    with the IP addresses of secondary dns servers. So, it's important
    that all secondary DNS servers have an ipv4 (and/or ipv6) property
    configured.
  * Deal with old ssh connection caching sockets.
  * Add missing build deps and deps. Closes: #745459

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Apr 2014 18:09:58 -0400

propellor (0.5.0) unstable; urgency=medium

  * Removed root domain records from SOA. Instead, use RootDomain
    when calling Dns.primary.
  * Dns primary and secondary properties are now revertable.
  * When unattendedUpgrades is enabled on an Unstable or Testing system,
    configure it to allow the upgrades.
  * New website, https://propellor.branchable.com/

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Apr 2014 17:38:02 -0400

propellor (0.4.0) unstable; urgency=medium

  * Propellor can configure primary DNS servers, including generating
    zone files, which is done by looking at the properties of hosts
    in a domain.
  * The `cname` property was renamed to `alias` as it does not always
    generate CNAME in the DNS.
  * Constructor of Property has changed (use `property` function instead).
  * All Property combinators now combine together their Attr settings.
    So Attr settings can be made inside a propertyList, for example.
  * Run all cron jobs under chronic from moreutils to avoid unnecessary
    mails.

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Apr 2014 02:09:56 -0400

propellor (0.3.1) unstable; urgency=medium

  * Merge scheduler bug fix from git-annex.
  * Support for provisioning hosts with ssh and gpg keys.
  * Obnam support.
  * Apache support.
  * Postfix satellite system support.

