=== debian/rules ===
#!/usr/bin/make -f

# Avoid using cabal, as it writes to $HOME
export CABAL=./Setup

%:
	dh $@

override_dh_auto_build:
	$(MAKE) build
override_dh_installdocs:
	dh_installdocs doc/README.mdwn
override_dh_installman:
	dh_installman debian/propellor.1

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/propellor/doc/news
