## propellor 0.9.1

=== debian/changelog ===
propellor (0.9.1) unstable; urgency=medium

  * Docker: Add ability to control when containers restart.
  * Docker: Default to always restarting containers, so they come back 
    up after reboots and docker daemon upgrades.
  * Fix loop when a docker host that does not exist was docked.

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Oct 2014 09:57:31 -0400

propellor (0.9.0) unstable; urgency=medium

  * Avoid encoding the current stable suite in propellor's code,
    since that poses a difficult transition around the release,
    and can easily be wrong if an older version of propellor is used.
    Instead, the os property for a stable system includes the suite name
    to use, eg Stable "wheezy".
  * stdSourcesList uses the stable suite name, to avoid unwanted
    immediate upgrades to the next stable release.
  * debCdn switched from cdn.debian.net to http.debian.net, which seems to be
    better managed now.
  * Docker: Avoid committing container every time it's started up.

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Oct 2014 11:37:45 -0400

propellor (0.8.3) unstable; urgency=medium

  * The Debian package now includes a single-revision git repository in
    /usr/src/propellor/, and ~/.propellor/ is set up to use this repository as
    its origin remote. This avoids relying on the security of the github
    repository when using the Debian package.
  * The /usr/bin/propellor wrapper will warn when ~/.propellor/ is out of date
    and a newer version is available, after which git merge upstream/master
    can be run to merge it.
  * Included the config.hs symlink to config-simple.hs in the cabal and Debian
    packages.

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Aug 2014 13:02:01 -0400
