=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Build-Depends: 
 	debhelper (>= 9),
+	git,
 	ghc (>= 7.4),
 	cabal-install,
 	libghc-async-dev,
@@ -18,7 +19,7 @@
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.5
 Vcs-Git: git://git.kitenet.net/propellor
-Homepage: http://joeyh.name/code/propellor/
+Homepage: http://propellor.branchable.com/
 
 Package: propellor
 Architecture: any
