## propellor 0.9.1+rpi1

=== Makefile ===
--- 
+++ 
@@ -22,9 +22,19 @@
 install:
 	install -d $(DESTDIR)/usr/bin $(DESTDIR)/usr/src/propellor
 	install -s dist/build/propellor/propellor $(DESTDIR)/usr/bin/propellor
+	mkdir -p dist/gittmp
 	$(CABAL) sdist
-	cat dist/propellor-*.tar.gz | \
-		(cd $(DESTDIR)/usr/src/propellor && tar zx --strip-components=1)
+	cat dist/propellor-*.tar.gz | (cd dist/gittmp && tar zx --strip-components=1)
+	# cabal sdist does not preserve symlinks, so copy over file
+	cd dist/gittmp && for f in $$(find -type f); do rm -f $$f; cp -a ../../$$f $$f; done
+	cd dist/gittmp && git init && \
+		git config user.email "make@file" && \
+		git config user.name "makefile" && \
+		git add . \
+		&& git commit -q -m "distributed version of propellor" \
+		&& git bundle create $(DESTDIR)/usr/src/propellor/propellor.git master HEAD \
+		&& git show-ref master --hash > $(DESTDIR)/usr/src/propellor/head
+	rm -rf dist/gittmp
 
 clean:
 	rm -rf dist Setup tags propellor privdata/local
