=== debian/changelog ===
propellor (0.9.1+rpi1) jessie-staging; urgency=medium

  * set git user.name and user.email to prevent build on systems without a 
    "domain".

 -- Peter Michael Green <plugwash@raspbian.org>  Fri, 27 Feb 2015 04:38:10 +0000
