## propellor 0.9.2

=== Makefile ===
--- 
+++ 
@@ -28,8 +28,6 @@
 	# cabal sdist does not preserve symlinks, so copy over file
 	cd dist/gittmp && for f in $$(find -type f); do rm -f $$f; cp -a ../../$$f $$f; done
 	cd dist/gittmp && git init && \
-		git config user.email "make@file" && \
-		git config user.name "makefile" && \
 		git add . \
 		&& git commit -q -m "distributed version of propellor" \
 		&& git bundle create $(DESTDIR)/usr/src/propellor/propellor.git master HEAD \
