=== debian/changelog ===
propellor (0.9.2) unstable; urgency=medium

  * Added nginx module, contributed by Félix Sipma.
  * Added firewall module, contributed by Arnaud Bailly.
  * Apache: Fix daemon reload when enabling a new module or site.
  * Docker: Stop using docker.io; that was a compat symlink in
    the Debian package which has been removed in docker.io 1.3.1~dfsg1-2.
  * Orphaned the Debian package, as I am retiring from Debian.

 -- Joey Hess <joeyh@debian.org>  Sat, 08 Nov 2014 15:57:36 -0400
