=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	libghc-quickcheck2-dev,
 	libghc-mtl-dev,
 	libghc-monadcatchio-transformers-dev,
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.9.5
 Vcs-Git: git://git.kitenet.net/propellor
 Homepage: http://propellor.branchable.com/
