=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 override_dh_installdocs:
 	dh_installdocs doc/README.mdwn
 override_dh_installman:
-	dh_installman debian/propellor.1
+	dh_installman propellor.1
 
 # Not intended for use by anyone except the author.
 announcedir:
