=== debian/changelog ===
propellor (2.16.0-1) unstable; urgency=medium

  * New upstream version.
  * Create changelog symlink with dh_link instead of in debian/rules.
    In accordance with policy 12.3: a package cannot assume the existence of
    /usr/share/doc.
  * Bump standards version to 3.9.7 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 28 Feb 2016 17:02:24 -0700

propellor (2.16.0) unstable; urgency=medium

  * Obnam: Only let one backup job run at a time when a host has multiple
    different backup properties, to avoid concurrent jobs fighting over
    scarce resources (particularly memory). Other jobs block on a lock
    file.
  * Removed references to a Debian derivative from code and documentation
    because of an unfortunate trademark use policy.
    http://joeyh.name/blog/entry/trademark_nonsense/
  * That included changing a data constructor to "Buntish", an API change.
  * Firewall.rule: Now takes a Table parameter. (API change)
  * Firewall: add InIFace/OutIFace Rules, add Source/Destination Rules,
    add CustomTarget, and more improvements.
    Thanks, Félix Sipma.
  * Ssh.authorizedKey: Fix bug preventing it from working when the
    authorized_keys file does not yet exist.
  * Removed Ssh.unauthorizedKey and made Ssh.authorizedKey revertable.
    (API change)

 -- Joey Hess <id@joeyh.name>  Sat, 27 Feb 2016 13:31:57 -0400

propellor (2.15.4-1) unstable; urgency=medium

  * New upstream version.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 13 Feb 2016 11:52:53 -0700

propellor (2.15.4) unstable; urgency=medium

  * Build /usr/src/propellor/propellor.git reproducibly,
    which makes the whole Debian package build reproducibly.
    Thanks, Sean Whitton.
  * Obnam: To cause old generations to be forgotten, keepParam can be
    passed to a backup property; this causes obnam forget to be run.
  * Delete /etc/apt/apt.conf.d/50unattended-upgrades.ucf-dist when
    unattended-upgrades is installed, to work around #812380 which results
    in many warnings from apt, including in cron mails.
  * Added Propellor.Property.LetsEncrypt
  * Apache.httpsVirtualHost: New property, setting up a https vhost
    with the certificate automatically obtained using letsencrypt.
  * Allow using combineProperties and propertyList with lists of
    RevertableProperty.

 -- Joey Hess <id@joeyh.name>  Thu, 11 Feb 2016 12:49:10 -0400

propellor (2.15.3-1) unstable; urgency=medium

  * New upstream version.
  * Fix override of Lintian tag debian-watch-may-check-gpg-signature.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 12 Jan 2016 19:41:07 -0700

propellor (2.15.3) unstable; urgency=medium

  * Added Git.bareRepoDefaultBranch property
    Thanks, Sean Whitton.
  * Add missing Control.Applicative imports needed by older versions of ghc.

 -- Joey Hess <id@joeyh.name>  Tue, 12 Jan 2016 12:37:22 -0400

propellor (2.15.2-1) unstable; urgency=medium

  * New upstream version.
  * Fix duplicate Section: in debian/control file.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 04 Jan 2016 12:14:47 +0000

propellor (2.15.2) unstable; urgency=medium

  * Added GNUPGBIN environment variable or git.program git config
    to control the command run for gpg. Allows eg, GNUPGBIN=gpg2
    Thanks, Félix Sipma.
  * Bootstrap apt-get installs run with deconf noninteractive frontend.
  * spin --via: Avoid committing on relay host.
  * Postfix: Add service property to enable/disable services in master.cf.
  * Added Munin module, contributed by Jelmer Vernooij.

 -- Joey Hess <id@joeyh.name>  Sun, 03 Jan 2016 16:56:26 -0400

propellor (2.15.1-1) unstable; urgency=medium

  * New upstream version.
  * Add watch file.
  * Fix specification of packaging branch in Vcs-Git: variable.
  * Silence xargs during package build when hothasktags is not installed.
    Patch accepted upstream for next upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Jan 2016 17:05:27 +0000

propellor (2.15.1) unstable; urgency=medium

  * Added git configs propellor.spin-branch and propellor.forbid-dirty-spin.
    Thanks, Sean Whitton.
  * Added User.systemAccountFor and User.systemAccountFor' properties.
    Thanks, Félix Sipma.
  * Gpg.keyImported converted to not use a flag file and instead check
    if gpg has the provided key already.
    Thanks, Félix Sipma.
  * Clean build with ghc 7.10.
  * Merged Utility changes from git-annex.

 -- Joey Hess <id@joeyh.name>  Sat, 19 Dec 2015 16:43:09 -0400

propellor (2.15.0-1) unstable; urgency=medium

  * Adopt propellor package (Closes: #768634).
  * Switch dpkg-source format to 3.0 (quilt).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 13 Dec 2015 11:33:02 -0700

propellor (2.15.0) unstable; urgency=medium

  * Added UncheckedProperty type, along with unchecked to indicate a
    Property needs its result checked, and checkResult and changesFile
    to check for changes.
  * Properties that run an arbitrary command, such as cmdProperty
    and scriptProperty are converted to use UncheckedProperty, since
    they cannot tell on their own if the command truely made a change or not.
    (API Change)
    Transition guide:
    - When GHC complains about an UncheckedProperty, add:
    	`assume` MadeChange
      (Since these properties used to always return MadeChange, that
      change is always safe to make.)
    - Or, if you know that the command should modifiy a file, use:
    	`changesFile` filename
  * The `trivial` combinator has been removed. (API change)
    Instead, use:
    	`assume` NoChange
    Or, better, use changesFile or checkResult to accurately report
    when a property makes a change.
  * A few properties have had their Result improved, for example
    Apt.buldDep and Apt.autoRemove now check if a change was made or not.
  * User.hasDesktopGroups changed to avoid trying to add the user to
    groups that don't exist.
  * Added Postfix.saslPasswdSet.
  * Added Propellor.Property.Locale.
    Thanks, Sean Whitton.

