=== debian/control ===
Source: propellor
Section: admin
Priority: optional
Build-Depends: 
	debhelper (>= 9),
	git,
	ghc (>= 7.6),
	cabal-install,
	libghc-async-dev,
	libghc-missingh-dev,
	libghc-hslogger-dev,
	libghc-unix-compat-dev,
	libghc-ansi-terminal-dev,
	libghc-ifelse-dev,
	libghc-network-dev,
	libghc-mtl-dev,
	libghc-transformers-dev,
	libghc-exceptions-dev (>= 0.6),
	libghc-stm-dev,
	libghc-text-dev,
Maintainer: Sean Whitton <spwhitton@spwhitton.name>
Standards-Version: 3.9.7
Homepage: https://propellor.branchable.com/
Vcs-Git: https://git.spwhitton.name/propellor -b debian
Vcs-Browser: https://git.spwhitton.name/?p=propellor.git;a=summary

Package: propellor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	ghc (>= 7.4),
	cabal-install,
	libghc-async-dev,
	libghc-missingh-dev,
	libghc-hslogger-dev,
	libghc-unix-compat-dev,
	libghc-ansi-terminal-dev,
	libghc-ifelse-dev,
	libghc-network-dev,
	libghc-mtl-dev,
	libghc-transformers-dev,
	libghc-exceptions-dev (>= 0.6),
	libghc-stm-dev,
	libghc-text-dev,
	git,
	make,
Description: property-based host configuration management in haskell
 Propellor ensures that the system it's run in satisfies a list of
 properties, taking action as necessary when a property is not yet met.
 .
 It is configured using haskell.
