=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,5 @@
 	dh_installdocs doc/README.mdwn
 override_dh_installman:
 	dh_installman propellor.1
-
-# Not intended for use by anyone except the author.
-announcedir:
-	@echo ${HOME}/src/propellor/doc/news
+override_dh_installchangelogs:
+	dh_installchangelogs -XCHANGELOG
