=== debian/changelog ===
propellor (3.1.0-2) unstable; urgency=medium

  * Add 0004-pass-allow-unrelated-histories-to-git-merge.patch (Closes: #834895)
    Thanks to Fred Picca for reporting the problem.
    - Tighten dependency on git to >= 1:2.9 for --allow-unrelated-histories

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Aug 2016 08:20:17 -0700

propellor (3.1.0-1) unstable; urgency=medium

  * Package new upstream release.
  * Add 0002-dpkg-mergechangelogs.patch to facilitate uploading with dgit.
    Adding this patch ensures that HEAD matches the unpacked source package.
  * Add README.source.
  * Add 0003-fix-ccache-haddock.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 23 Jun 2016 18:31:41 +0900

propellor (3.1.0) unstable; urgency=medium

  * Architecture changed from String to an ADT. (API Change)
    Transition guide: Change "amd64" to X86_64, "i386" to X86_32,
    "armel" to ARMEL, etc.
    Thanks, Félix Sipma.
  * The Debian data type now includes a DebianKernel. (API Change)
    This won't affect most config.hs, as osDebian defaults to
    Linux. Added osDebian' can be used to specify a different kernel.
    Thanks, Félix Sipma.
  * Improve exception handling. A property that threw a non-IOException
    used to stop the whole propellor run. Now, all non-async exceptions
    only make the property that threw them fail. (Implicit API change)
  * Added StopPropellorException and stopPropellorMessage which can be
    used in the unusual case where a failure of one property should stop
    propellor from trying to ensure any other properties.
  * tryPropellor returns Either SomeException instead of Either IOException
    (API change)
  * Switch letsencrypt to certbot package name.
  * Sbuild: Add keyringInsecurelyGenerated which is useful on throwaway
    build VMs.
    Thanks, Sean Whitton
  * Added Propellor.Property.SiteSpecific.Exoscale.
    Thanks, Sean Whitton
  * Property.Reboot: Added toDistroKernel and toKernelNewerThan.
    Thanks, Sean Whitton
  * Added ConfFile.hasIniSection.
    Thanks, Félix Sipma.
  * Apt.install: When asked to install a package that apt does not know
    about, it used to incorrectly succeed. Now it will fail.
  * Property.Firejail: New module.
    Thanks, Sean Whitton
  * File: Write privdata files in binary rather than text, which avoids
    failure when they do not contain valid unicode.
    Thanks, Andrew Schurman
  * Generalized fileProperty can now operate on a file as either a series
    of lines, or a ByteString.

  [ Sean Whitton ]
  * New info property Schroot.useOverlays to indicate whether you want schroots
    set up by propellor to use the Linux kernel's OverlayFS.
  * Schroot.overlaysInTmpfs sets Schroot.useOverlays info property.
  * If you have indicated that you want schroots to use OverlayFS and the
    current kernel does not support it, Sbuild.built will attempt to reboot
    into a kernel that does, or fail if it can't find one.
  * Sbuild.built will no longer add duplicate `aliases=UNRELEASED,sid...` lines
    to more than one schroot config. It will not remove any such lines that the
    previous version of propellor added, though.
  * Sbuild.keypairGenerated works around Debian bug #792100 by creating the
    directory /root/.gnupg in advance.
  * Ccache.hasCache now sets the setgid bit on the cache directory, as 
    ccache requires.

 -- Joey Hess <id@joeyh.name>  Wed, 22 Jun 2016 15:29:27 -0400

propellor (3.0.5-1) unstable; urgency=medium

  * Package new upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 10 Jun 2016 15:21:47 +0900

propellor (3.0.5) unstable; urgency=medium

  * Modules added for Sbuild and Ccache.
    Thanks, Sean Whitton
  * Systemd: Added killUserProcesses property, which can be reverted
    to return systemd to its default behavior before version 230 started
    killing processes like screen sessions.
  * Systemd: Added logindConfigured property.

 -- Joey Hess <id@joeyh.name>  Mon, 06 Jun 2016 17:13:21 -0400

propellor (3.0.4-1) unstable; urgency=medium

  * Package new upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 24 May 2016 15:34:24 +0900

propellor (3.0.4) unstable; urgency=medium

  * Run letsencrypt with --noninteractive.
  * Fix build with ghc 8.0.1.
    Thanks, davean.
  * Module added for the Borg backup system.
    Thanks, Félix Sipma.
  * Fix build with directory-1.2.6.2.

 -- Joey Hess <id@joeyh.name>  Sun, 22 May 2016 15:54:49 -0400

propellor (3.0.3-2) unstable; urgency=medium

  * Use CDBS & haskell-devscripts to build new binary packages
    libghc-propellor-{dev,prof,doc}.
  * Add X-Description: field to debian/control.
  * Add patch removing README.Debian from propellor.cabal.
  * Re-arrange files in debian/ to deal with multiple binary packages.
    - Use debian/propellor.manpages and debian/propellor.docs instead of
      overrides in debian/rules.
    - Add Lintian overrides duplicate-{short,long}-description.
    - Rename README.Debian, lintian-overrides to correspond to particular
      binary packages.
    - Add libghc-propellor-{dev,prof,doc}.links duplicating propellor.links.
  * Binary package propellor now depends on libghc-propellor-dev.
    This fixes using propellor as a library, as set up by propellor --init
    option B.  Closes:
    https://propellor.branchable.com/todo/propellor_--init_option_B_failure/
  * Update Source: field and copyright year in debian/copyright.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 May 2016 10:59:53 -0700

propellor (3.0.3-1) unstable; urgency=medium

  * Package new upstream release.
  * Bump standards version to 3.9.8 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 01 May 2016 17:12:29 -0700

propellor (3.0.3) unstable; urgency=medium

  * Remove Propellor.DotDir from the propellor library, as its use of
    Paths_propellor prevents use of the module out of propellor's tree.
    This module is only needed for the wrapper program anyway, which

