## propellor 4.7.6

=== debian/changelog ===
propellor (4.7.6-1) unstable; urgency=medium

  * Package new upstream release.
  * Bump debhelper compat to 10.
  * Bump std-ver to 4.0.1 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 17 Aug 2017 17:30:30 -0700

propellor (4.7.6) unstable; urgency=medium

  * Sbuild: Add Sbuild.userConfig property.
    Thanks, Sean Whitton
  * Locale: Make sure that the locales package is installed when enabling
    locales.

 -- Joey Hess <id@joeyh.name>  Tue, 01 Aug 2017 17:59:07 -0400

propellor (4.7.5) unstable; urgency=medium

  * Avoid crashing when getTerminalName fails due to eg, being in a chroot.

 -- Joey Hess <id@joeyh.name>  Tue, 01 Aug 2017 15:28:58 -0400

propellor (4.7.4) unstable; urgency=medium

  * Set GPG_TTY when run at a terminal, so that gpg can do password
    prompting despite being connected by pipes to propellor (or git).
  * Rsync: Make rsync display less verbose.
  * Improve PROPELLOR_TRACE output so serialized trace values always
    come on their own line, not mixed with title setting.

 -- Joey Hess <id@joeyh.name>  Tue, 01 Aug 2017 13:30:54 -0400

propellor (4.7.3) unstable; urgency=medium

  * Expand the Trace data type.

 -- Joey Hess <id@joeyh.name>  Sat, 29 Jul 2017 17:26:32 -0400

propellor (4.7.2) unstable; urgency=medium

  * Added PROPELLOR_TRACE environment variable, which can be set to 1 to
    make propellor output serialized Propellor.Message.Trace values,
    for consumption by another program.
  * Rsync: Make rsync display its progress, in a minimal format to avoid
    scrolling each file down the screen.

 -- Joey Hess <id@joeyh.name>  Sat, 29 Jul 2017 15:49:00 -0400

propellor (4.7.1) unstable; urgency=medium

  * Added Mount.isMounted.
  * Grub.bootsMounted: Bugfix.

 -- Joey Hess <id@joeyh.name>  Fri, 28 Jul 2017 22:22:40 -0400

propellor (4.7.0) unstable; urgency=medium

  * Add Apt.proxy property to set a host's apt proxy.
    Thanks, Sean Whitton.
  * Add Apt.useLocalCacher property to set up apt-cacher-ng.
    Thanks, Sean Whitton.
  * Rework Sbuild properties to use apt proxies/cachers instead of
    bind-mounting the host's apt cache. This makes it possible to run more
    than one build at a time, and lets sbuild run even if apt's cache is
    locked by the host's apt.
    Thanks, Sean Whitton.
  * Sbuild: When Apt.proxy is set, it is assumed that the proxy does some
    sort of caching, and sbuild chroots are set up to use the same proxy.
  * Sbuild: When Apt.proxy is not set, install apt-cacher-ng, and point
    sbuild chroots at the local apt cacher.
  * Sbuild: Droped Sbuild.piupartsConfFor, Sbuild.piupartsConf,
    Sbuild.shareAptCache
    (API change)
    No longer needed now that we are using apt proxies/cachers.
  * Sbuild: Updated sample config in haddock for Propellor.Property.Sbuild.
    If you use this module, please compare both your config.hs and
    your ~/.sbuildrc with the haddock documentation.
  * Grub.bootsMounted: Avoid failing when proc sys etc are already mounted
    within the chroot.

 -- Joey Hess <id@joeyh.name>  Fri, 28 Jul 2017 20:42:35 -0400

propellor (4.6.2) unstable; urgency=medium

  * Systemd.nspawned: Recent systemd versions such as 234 ignore
    non-symlinks in /etc/systemd/system/multi-user.target.wants,
    which was used to configure systemd-nspawn parameters. Instead,
    use a service.d/local.conf file to configure that.
  * Grub: Added bootsMounted property, a generalization of
    DiskImage.grubBooted

 -- Joey Hess <id@joeyh.name>  Fri, 28 Jul 2017 15:48:32 -0400

propellor (4.6.1) unstable; urgency=medium

  * Added Network.dhcp' and Network.static', which allow specifying
    additional options for interfaces files.
  * Fix build failure on ghc-8.2.1
    Thanks, Sergei Trofimovich.
  * DiskImage: Fix strictness bug in .parttable read/write sequence.

 -- Joey Hess <id@joeyh.name>  Thu, 27 Jul 2017 09:17:32 -0400

propellor (4.6.0) unstable; urgency=medium

  * Add Typeable instance to Bootstrapper, fixing build with old versions
    of ghc.
  * Network.static changed to take address and gateway parameters.
    If you used the old Network.static property, it has been renamed to
    Network.preserveStatic.
    (Minor API change)

 -- Joey Hess <id@joeyh.name>  Wed, 26 Jul 2017 20:02:50 -0400

propellor (4.5.2) unstable; urgency=medium

  * Added Rsync.installed property.
  * Added DiskImage.vmdkBuiltFor property which is useful for booting
    a disk image in VirtualBox.

 -- Joey Hess <id@joeyh.name>  Tue, 25 Jul 2017 17:58:46 -0400

propellor (4.5.1) unstable; urgency=medium

  * Reboot.toKernelNewerThan: If running kernel is new enough, avoid
    looking at what kernels are installed.
    Thanks, Sean Whitton.
  * DiskImage: Avoid re-partitioning disk image unncessarily, for a large
    speedup.

 -- Joey Hess <id@joeyh.name>  Tue, 25 Jul 2017 15:51:33 -0400

propellor (4.5.0) unstable; urgency=medium

  * Generalized the PartSpec DSL, so it can be used for both
    disk image partitioning, and disk device partitioning, with
    different partition sizing methods as appropriate for the different
    uses. (minor API change)
  * Propellor.Property.Parted: Added calcPartTable function which uses
    PartSpec DiskPart, and a useDiskSpace combinator.
  * Generate a better description for versioned properties.

 -- Joey Hess <id@joeyh.name>  Fri, 21 Jul 2017 16:40:13 -0400

propellor (4.4.0) unstable; urgency=medium

  * Propellor.Property.Timezone: New module, contributed by Sean Whitton.
  * Propellor.Property.Sudo.enabledFor: Made revertable.
    (minor API change)
  * Propellor.Property.LightDM.autoLogin: Made revertable.
    (minor API change)
  * Propellor.Property.Conffile: Added lacksIniSetting.

 -- Joey Hess <id@joeyh.name>  Mon, 17 Jul 2017 12:55:02 -0400

propellor (4.3.4) unstable; urgency=medium

  * Propellor.Property.Versioned: New module which allows different
    versions of a property or host to be written down in a propellor config

