=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends:
  cabal-install,
  cdbs,
- debhelper (>= 9),
+ debhelper (>= 10),
  ghc (>= 7.6),
  git,
  haskell-devscripts,
@@ -16,16 +16,18 @@
  libghc-concurrent-output-prof,
  libghc-exceptions-dev (>= 0.6),
  libghc-exceptions-prof (>= 0.6),
+ libghc-hashable-dev,
+ libghc-hashable-prof,
  libghc-hslogger-dev,
  libghc-hslogger-prof,
  libghc-ifelse-dev,
  libghc-ifelse-prof,
- libghc-missingh-dev,
- libghc-missingh-prof,
  libghc-mtl-dev,
  libghc-mtl-prof,
  libghc-network-dev,
  libghc-network-prof,
+ libghc-split-dev,
+ libghc-split-prof,
  libghc-stm-dev,
  libghc-stm-prof,
  libghc-text-dev,
@@ -35,10 +37,10 @@
  libghc-unix-compat-dev,
  libghc-unix-compat-prof,
 Maintainer: Sean Whitton <spwhitton@spwhitton.name>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://propellor.branchable.com/
 Vcs-Git: https://git.spwhitton.name/propellor -b debian
-Vcs-Browser: https://git.spwhitton.name/?p=propellor.git;a=summary
+Vcs-Browser: https://git.spwhitton.name/propellor
 X-Description: property-based host configuration management in haskell
  Propellor ensures that the system it's run in satisfies a list of
  properties, taking action as necessary when a property is not yet met.
@@ -114,17 +116,17 @@
  libghc-async-dev,
  libghc-concurrent-output-dev,
  libghc-exceptions-dev (>= 0.6),
+ libghc-hashable-dev,
  libghc-hslogger-dev,
  libghc-ifelse-dev,
- libghc-missingh-dev,
  libghc-mtl-dev,
  libghc-network-dev,
  libghc-propellor-dev,
+ libghc-split-dev,
  libghc-stm-dev,
  libghc-text-dev,
  libghc-transformers-dev,
  libghc-unix-compat-dev,
- make,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: property-based host configuration management in haskell
